> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/postgresql/overview/activate-extensions.md).

# Activate Extensions

Several PostgreSQL extensions are preinstalled and can be activated for your cluster. You can activate the extension by logging into your cluster and executing the following command:

```bash
create extension <EXTENSION> CASCADE;
```

The following table shows extensions available for PostgreSQL. Extensions marked with ✅ indicate that they are active by default. Other extensions need to be activated manually and apply to PostgreSQL clusters with version 15 and above.

| **Extension**        | **Activated** | **Version** | **Description**                                                                                                                                                                                                                                            |
| -------------------- | :-----------: | :---------: | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `pg_stat_statements` |       ✅       |     1.10    | Track execution statistics of all SQL statements executed.                                                                                                                                                                                                 |
| `intarray`           |               |     1.5     | Functions, operators, and index support for `1-D` arrays of integers.                                                                                                                                                                                      |
| `pg_trgm`            |               |     1.6     | Text similarity measurement and index searching based on trigrams.                                                                                                                                                                                         |
| `set_user`           |       ✅       |    4.0.1    | Similar to `SET ROLE` but with added logging.                                                                                                                                                                                                              |
| `timescaledb`        |               |    2.14.2   | Enables scalable inserts and complex queries for time-series data.                                                                                                                                                                                         |
| `tablefunc`          |               |     1.0     | Functions that manipulate whole tables, including crosstab.                                                                                                                                                                                                |
| `plpgsql`            |       ✅       |     1.0     | `PL/pgSQL` procedural language.                                                                                                                                                                                                                            |
| `pg_partman`         |               |    5.1.0    | Extension to manage partitioned tables by time or ID.                                                                                                                                                                                                      |
| `hypopg`             |               |    1.4.1    | Hypothetical indexes for PostgreSQL.                                                                                                                                                                                                                       |
| `btree_gin`          |               |     1.3     | Support for indexing standard datatypes in Generalized Inverted Index (GIN).                                                                                                                                                                               |
| `pg_stat_kcache`     |       ✅       |    2.3.0    | Kernel statistics gathering.                                                                                                                                                                                                                               |
| `citext`             |               |     1.6     | Data type for case-insensitive character strings.                                                                                                                                                                                                          |
| `pgcrypto`           |               |     1.3     | Cryptographic functions.                                                                                                                                                                                                                                   |
| `earthdistance`      |               |     1.1     | Calculate great-circle distances on the surface of the Earth.                                                                                                                                                                                              |
| `postgis`            |               |    3.5.0    | `PostGIS` geometry and geography spatial types and functions.                                                                                                                                                                                              |
| `cube`               |               |     1.5     | Data type for multidimensional cubes.                                                                                                                                                                                                                      |
| `vector`             |               |     0.8     | Vector data type and ivfflat and hnsw access methods.                                                                                                                                                                                                      |
| `uuid_ossp`          |               |     1.1     | Generate Universally Unique Identifiers (UUIDs).                                                                                                                                                                                                           |
| `hstore`             |               |     1.8     | Data type for storing sets of `key, value`.                                                                                                                                                                                                                |
| `btree_gist`         |               |     1.6     | Support indexing common datatypes in Generalized Search Tree (GiST).                                                                                                                                                                                       |
| `pg_cron`            |               |     1.6     | Cron-based job scheduler for PostgreSQL to run periodic commands. The `cron_admin` role is <code class="expression">space.vars.ionos\_cloud</code>'s mechanism for giving users the ability to manage `pg_cron` jobs without needing superuser privileges. |

{% hint style="info" %}
**Note:** With `select * from pg_available_extensions;` you will see more available extensions, but only those that can be activated or used with regular user rights are listed here.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/postgresql/overview/activate-extensions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
